Package org.silverpeas.components.scheduleevent.servlets.handlers

## Interface ScheduleEventRequestHandler

- All Known Subinterfaces:
    `ScheduleEventBackableRequestHandler`
  All Known Implementing Classes:
    `ScheduleEventActionDateRequestHandler`, `ScheduleEventAddDateRequestHandler`, `ScheduleEventAddInfosGeneRequestHandler`, `ScheduleEventAddOptionsHourRequestHandler`, `ScheduleEventAddOptionsNextRequestHandler`, `ScheduleEventAddRequestHandler`, `ScheduleEventBackDateRequestHandler`, `ScheduleEventBackHourRequestHandler`, `ScheduleEventBackInfosGeneRequestHandler`, `ScheduleEventBackwardRequestHandler`, `ScheduleEventCallAgainRequestHandler`, `ScheduleEventCancelRequestHandler`, `ScheduleEventConfirmRequestHandler`, `ScheduleEventConfirmScreenRequestHandler`, `ScheduleEventConfirmUsersRequestHandler`, `ScheduleEventDateNextRequestHandler`, `ScheduleEventDeleteDateRequestHandler`, `ScheduleEventDeleteRequestHandler`, `ScheduleEventDescriptionNextRequestHandler`, `ScheduleEventDetailRequestHandler`, `ScheduleEventExportRequestHandler`, `ScheduleEventMainRequestHandler`, `ScheduleEventModifyStateRequestHandler`, `ScheduleEventOpenUserRequestHandler`, `ScheduleEventSimpleFormRequestHandler`, `ScheduleEventTimeNextRequestHandler`, `ScheduleEventValidResponseRequestHandler`

      public interface ScheduleEventRequestHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CURRENT_SCHEDULE_EVENT` |
    `static SimpleDateFormat` | `FORMATTER_TMP_ID` |
    `static String` | `LAST_DATE` |
    `static String` | `LIST_SCHEDULE_EVENT` |
    `static String` | `SCHEDULE_EVENT_DETAIL` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDestination​(String function, ScheduleEventSessionController scheduleeventSC, javax.servlet.http.HttpServletRequest request)` |

- - ### Field Detail

    - #### LAST_DATE

          static final String LAST_DATE

      See Also:
        Constant Field Values

    - #### SCHEDULE_EVENT_DETAIL

          static final String SCHEDULE_EVENT_DETAIL

      See Also:
        Constant Field Values

    - #### CURRENT_SCHEDULE_EVENT

          static final String CURRENT_SCHEDULE_EVENT

      See Also:
        Constant Field Values

    - #### LIST_SCHEDULE_EVENT

          static final String LIST_SCHEDULE_EVENT

      See Also:
        Constant Field Values

    - #### FORMATTER_TMP_ID

          static final SimpleDateFormat FORMATTER_TMP_ID

  - ### Method Detail

    - #### getDestination

          String getDestination​(String function,
                                ScheduleEventSessionController scheduleeventSC,
                                javax.servlet.http.HttpServletRequest request)
                         throws Exception

      Throws:
        `Exception`